using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace CafeTerrace.Services
{
    public enum RestStatus
    {
        [Display(Name = "عملیات با موفقیت انجام شد")]
        Success = 0,

        [Display(Name = "خطایی در سرور رخ داده است")]
        ServerError = 1,

        [Display(Name = "پارامترهای ارسالی معتبر نیست")]
        BadRequest = 2,

        [Display(Name = "یافت نشد")]
        NotFound = 3,

        [Display(Name = "لیست خالی است")]
        ListEmpty = 4,

        [Display(Name = "خطایی در پردازش رخ داده است")]
        LogicError = 5,

        [Display(Name = "خطای احراز هویت")]
        UnAuthorized = 6,

        NoInternat,
        Error
    }
    class RestServiceRespond<T>
    {
        public T Data { get; set; }
        public string Message { get; set; }
        public RestStatus StatusCode { get; set; }
        public bool IsSuccess { get; set; }
    }
}
